Page MenuHomePhabricator

Add Pageview aggregation to Python {musk} [13 pts]
Closed, ResolvedPublic

Description

As an analyst,
I want to see total pageviews (includes every project)
So I have an overall sense of how wmf is doing.

  • python aggregator sums up PV across all projects into one total number.

The sums are here:
https://metrics.wmflabs.org/static/public/datafiles/Pageviews/ in the file all.csv

Event Timeline

kevinator raised the priority of this task from to Normal.
kevinator updated the task description. (Show Details)
kevinator added subscribers: kevinator, Aklapper.
kevinator renamed this task from Add Pageview aggregation to Python [13 pts] {crow} to Add Pageview aggregation to Python [13 pts] {musk}.Jun 2 2015, 4:07 PM
kevinator set Security to None.
Milimetric renamed this task from Add Pageview aggregation to Python [13 pts] {musk} to Add Pageview aggregation to Python {musk} [13 pts].Jun 3 2015, 8:58 PM
ggellerman moved this task from Incoming to Tasked on the Analytics-Backlog board.
kevinator moved this task from Tasked to Medium on the Analytics-Backlog board.

Removed from scope some work to calculate totals by language and project-type. That data has not been asked for yet, and does not need to be delivered at this time.

mforns claimed this task.Jun 30 2015, 2:12 PM
mforns moved this task from Next Up to In Progress on the Analytics-Kanban board.

Change 223031 had a related patch set uploaded (by Mforns):
Add agrgegation across projects

https://gerrit.wikimedia.org/r/223031

Change 223031 merged by Joal:
Add aggregation across projects

https://gerrit.wikimedia.org/r/223031

Change 223573 had a related patch set uploaded (by Mforns):
Add flag --all-projects to projectviews aggregator

https://gerrit.wikimedia.org/r/223573

Change 223577 had a related patch set uploaded (by Mforns):
Add clarifying comment on --all-projects behavior

https://gerrit.wikimedia.org/r/223577

Change 223577 merged by Joal:
Add clarifying comment on --all-projects behavior

https://gerrit.wikimedia.org/r/223577

Change 223573 merged by Gage:
Add flag --all-projects to projectviews aggregator

https://gerrit.wikimedia.org/r/223573

mforns moved this task from Ready to Deploy to Done on the Analytics-Kanban board.Jul 9 2015, 9:04 PM
mforns moved this task from Done to Ready to Deploy on the Analytics-Kanban board.Jul 10 2015, 3:38 PM
kevinator closed this task as Resolved.Jul 22 2015, 5:20 PM
kevinator updated the task description. (Show Details)

verified that it's done.